#include "gic.h"
void gic_dist_init(void){
    *(volatile uint32_t*)(GIC_DIST_BASE+0)=0;
    *(volatile uint32_t*)(GIC_DIST_BASE+0x100)=1u<<27;
    *(volatile uint32_t*)(GIC_DIST_BASE+0)=1;
}
void gic_cpu_init(void){
    *(volatile uint32_t*)(GIC_CPU_BASE+4)=0xFF;
    *(volatile uint32_t*)(GIC_CPU_BASE+0)=1;
}